
package org.apache.tuscany.sca.test.exceptions.impl.jaxb;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.apache.tuscany.sca.test.exceptions.impl.jaxb package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.tuscany.sca.test.exceptions.impl.jaxb
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link InvalidSymbolFault }
     * 
     */
    public InvalidSymbolFault createInvalidSymbolFault() {
        return new InvalidSymbolFault();
    }

    /**
     * Create an instance of {@link StockQuoteOffer }
     * 
     */
    public StockQuoteOffer createStockQuoteOffer() {
        return new StockQuoteOffer();
    }

    /**
     * Create an instance of {@link StockQuoteOfferResponse }
     * 
     */
    public StockQuoteOfferResponse createStockQuoteOfferResponse() {
        return new StockQuoteOfferResponse();
    }

    /**
     * Create an instance of {@link MarketClosedFault }
     * 
     */
    public MarketClosedFault createMarketClosedFault() {
        return new MarketClosedFault();
    }

    /**
     * Create an instance of {@link StockOffer }
     * 
     */
    public StockOffer createStockOffer() {
        return new StockOffer();
    }

}
